package com.bcxin.identify.util.common;

import java.util.ResourceBundle;

/**
 * 系统资源库
 * @author luopeng
 *
 */
public class Resources {
	
	//identify
	public static String CHINAPAY_CONFIG_PATH;
	
	//ht
	public static String HT_INSUREPOLICYURL ;// 投保接口 
	public static String HT_RECONCILIATIONURL ;//对账接口
	public static String HT_SURRENDERURL ;//退保接口
	public static String HT_PAYADDRESS ;//支付接口
	public static String HT_ENCRYPT_VAL ; // MD5加密的值
	public static String HT_CHANNELCODE ; // 渠道编码
	public static String HT_PAYPAGECALLBACKADDRESS;//同步返回的页面
	public static String HT_CALLBACKADDRESS;//异步返回的页面
	public static String HT_SHOWURL;//商品展示链接

	//umpay
	public static String UMPAY_MERID; //联动优势的默认商户号，百川信

	static {

		ResourceBundle configRb = ResourceBundle.getBundle("config/config");

		CHINAPAY_CONFIG_PATH = configRb.getString("CHINAPAY_CONFIG_PATH");

		HT_INSUREPOLICYURL=configRb.getString("HT_INSUREPOLICYURL");;//投保接口
		HT_RECONCILIATIONURL =configRb.getString("HT_RECONCILIATIONURL");;//对账接口
		HT_SURRENDERURL =configRb.getString("HT_SURRENDERURL");;//退保接口
		HT_PAYADDRESS =configRb.getString("HT_PAYADDRESS");//支付接口
		HT_ENCRYPT_VAL = configRb.getString("HT_ENCRYPT_VAL"); // MD5加密的值
		HT_CHANNELCODE = configRb.getString("HT_CHANNELCODE"); // 渠道编码
		HT_PAYPAGECALLBACKADDRESS=configRb.getString("HT_PAYPAGECALLBACKADDRESS");//同步返回的页面
	    HT_CALLBACKADDRESS=configRb.getString("HT_CALLBACKADDRESS");//异步返回的页面
	    HT_SHOWURL=configRb.getString("HT_SHOWURL");

		UMPAY_MERID=configRb.getString("UMPAY_MERID");
	}

}
